commit 64b2bd684f6f2552d7fe3c2c32b74f195aba91fa
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Mon Oct 18 02:18:01 2021

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 7d1f01fd93f..1a35f327553 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20211017
+20211018
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index 74738b9129a..fe0287369ad 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,12 @@
+2021-10-17  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2021-10-14  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/102716
+	* check.c (gfc_check_shape): Reorder checks so that invalid KIND
+	arguments can be detected.
+
 2021-10-06  Tobias Burnus  <tobias@codesourcery.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index d5a5d1f0119..18882c442d1 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2021-10-17  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2021-10-14  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/102716
+	* gfortran.dg/shape_10.f90: New test.
+
 2021-10-14  Vladimir N. Makarov  <vmakarov@redhat.com>
 
 	PR rtl-optimization/102627

